Skip to main content
GET

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

endpointId
string
required

The ID of the endpoint to retrieve

Example:

"endpoint-d23901de-ef8f-44bf-b3e7-de9c1ca8f2d7"

Response

200

Details about a dedicated endpoint deployment

object
any
required

The object type, which is always endpoint.

id
string
required

Unique identifier for the endpoint

Example:

"endpoint-d23901de-ef8f-44bf-b3e7-de9c1ca8f2d7"

name
string
required

System name for the endpoint

Example:

"devuser/deepseek-ai/DeepSeek-R1-a32b82a1"

display_name
string
required

Human-readable name for the endpoint

Example:

"My DeepSeek R1 endpoint"

model
string
required

The model deployed on this endpoint

Example:

"deepseek-ai/DeepSeek-R1"

hardware
string
required

The hardware configuration used for this endpoint

Example:

"8x_nvidia_h200_140gb_sxm"

type
enum<string>
required

The type of endpoint

Available options:
dedicated
Example:

"dedicated"

owner
string
required

The owner of this endpoint

Example:

"devuser"

state
enum<string>
required

Current state of the endpoint

Available options:
PENDING,
STARTING,
STARTED,
STOPPING,
STOPPED,
ERROR
Example:

"STARTED"

autoscaling
object
required

Configuration for automatic scaling of the endpoint

created_at
string<date-time>
required

Timestamp when the endpoint was created

Example:

"2025-02-04T10:43:55.405Z"